Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6438 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6438 indexed agents, 5420 currently healthy.

Agents indexed
6438 agents
5607 domains
public agent cards · +914 this week
Healthy
5420 agents
4732 domains
card reachable < 6 h
Conformant
4544 agents
3954 domains
valid card + skills
x402-capable
529 agents
442 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
6 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00
7 SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
A 10.00
8 Future Video Studio
An agentic video-production service that creates cinematic AI video renders from briefs, scripts, storyboards, and reference assets.
A 10.00
9 Emora Health
Virtual behavioral health for kids, teens, and parents. Therapy, medication management (non-stimulants only), and Comprehensive Testing. Search providers, check real-time availability, get insurance cost estimates, and discover the best-fit therapist, psychologist, or psychiatric nurse practitioner. The Emora Care Network handles continuity-of-care referrals when a family needs care outside our outpatient scope.
A 10.00
10 Tavily
Real-time search engine for AI agents and RAG workflows. Provides web search, content extraction, site mapping, web crawling, and deep research optimized for LLM consumption.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“01Mind” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

  • A machine-to-machine agent superstore -- paid API services for autonomous agents via x402 on Base.

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“AgentReader” is shared by 7 different URLs

All exact-name matches are shown; ranked results follow.

“AgentScrape” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call web scraping for AI agents via x402 v2 on Base USDC. No signup, no API keys — agents pay autonomously per call.

  • Pay-per-call web scraping for AI agents via x402 on Base USDC. Six tools, no signup.

  • Pay-per-call web scraping for AI agents via x402 on Base USDC. Six tools, no signup.

  • uptime_30d 1.0%; p95 448.3ms; conformance: fail

  • **Pay-per-call web scraping for AI agents — no signup, no API keys, just USDC.** AgentScrape is a production MCP server giving agents six paid tools for web scraping, structured extraction, screenshots, and metadata — all on Cloudflare Workers, all settled in USDC on Base via x402. ## Tools - **`scrape_webpage`** — fetch as markdown, html, text, or json - **`extract_structured_data`** — AI-powered extraction with natural-language prompts + JSON schemas - **`screenshot_webpage`** — PNG capture, viewport configurable - **`extract_metadata`** — OG, Twitter Card, JSON-LD - **`create_browser_session`** — persistent sessions for multi-step flows - **`run_workflow`** — multi-step atomic execution ## Pricing $0.001–$0.008 USDC per call on Base mainnet. No subscriptions. No API keys. Pay per request via x402. **Free tier:** 10 calls per wallet per 30 days. No signup required. ## Stack Cloudflare Workers · Hono · `@x402/hono` v2 · MCP Streamable HTTP · xpay.sh facilitator · Browser Rendering MIT licensed. Built by HSH Intelligence.

“aifu Agent Market” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“AiScale Agent Services” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“FetchDelta” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK audiowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HirePulse Agent Gateway” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...

  • Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.

“Immersive Commons” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

  • RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.

“Intelligence Aeternum” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Johto Data” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Moltalyzer” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

  • Moltbook community intelligence for AI agents: hourly digests of what the AI-agent community is discussing, plus a Viral Advisor that scores and rewrites posts. (Sibling products from the split live on gitbeacon.dev, signalis.dev, and orcatrace.dev.)

  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

  • Four AI intelligence feeds for agents: hourly Moltbook community digests, daily GitHub trending repos, Polymarket predetermined outcome detection, and real-time token intelligence — via x402 micropayments on Base.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Ordinal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.

  • Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

“Pa1m Reddit” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“PolicyCheck” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“RX7 StateProbe — Website Change Intelligence” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-payable website history and technical change intelligence for autonomous agents. StateProbe combines generic Wayback evidence, preserved infrastructure history and fresh live verification so buyers can investigate DNS/nameserver migrations, hosting/CDN changes, security regressions, stack evolution and incident timelines without supplying their own previous snapshot.

  • Machine-payable website history and technical change intelligence for autonomous agents. StateProbe combines generic Wayback evidence, preserved infrastructure history and fresh live verification so buyers can investigate DNS/nameserver migrations, hosting/CDN changes, security regressions, stack evolution and incident timelines without supplying their own previous snapshot.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“SEO Authority API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

“Tinkrr Intelligence API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“Travel Planning & Trip Intelligence” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Bazaar” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 Market Intelligence MCP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“Xpoz” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Social media intelligence platform. Access billions of posts and users across Twitter/X, Instagram, Reddit, and TikTok via MCP, SDKs, CLI, and Agent Skills.

  • Read-only social-data agent for Twitter/X, Instagram, TikTok, and Reddit. Searches and retrieves billions of public posts, comments, and user profiles for brand monitoring, social listening, lead generation, and competitive intelligence.

  • Social media intelligence for AI agents: search and analyze Twitter/X, Instagram, Reddit, and TikTok through natural language. Billions of posts indexed, including historical data. No social media API keys, no installation, just add the endpoint URL. Perfect for brand monitoring, competitive analysis, influencer research, market research, and OSINT. ## What You Can Do **Twitter/X:** - Get user profiles, followers, following lists - Search tweets by keywords with boolean operators - Analyze engagement (comments, quotes, retweets) - Export full datasets to CSV **Instagram:** - Look up user profiles and statistics - Search posts by keywords in captions - Get comments and post engagement **Reddit:** - Search posts and comments by keywords across all subreddits - Pull full threads with comment trees - Find and explore subreddits **TikTok:** - Search posts by keywords and hashtags - Look up users and their posts - Get comments and engagement data ## Why Xpoz? - One subscription covers all four platforms - Pre-indexed data: fast keyword search over billions of posts, including historical - Natural language queries via any MCP client (Claude, ChatGPT, Cursor) - Free tier to start, no credit card required Get started at https://xpoz.ai

  • uptime_30d 1.0%; p95 321.4ms; conformance: fail

  • Real-time Bitcoin network intelligence and YouTube video intelligence. Pay per call via x402 USDC on Base.

    B9.2 ⚡ agent-pays · x402 14 skills
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

    C7.6 ⚡ agent-pays · x402 16 skills
  • Valuable data. Quality leads. Paid per call in USDC on Base via x402. No API key or signup. Free sample on every route with ?sample=1. Not charged if the fetch fails or nothing matches. MCP server: https://johto-x402-api.johtodata.workers.dev/mcp

    A9.8 🔓 open JSONRPC 13 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    A9.8 🔓 open JSONRPC 80 skills
  • Independent seller policy intelligence. Returns evidence-backed policy facts, source provenance, coverage, and an Ed25519-signed assessment. The calling agent decides whether to purchase.

    B9.5 🔓 open JSONRPC 1 skill
  • Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.

    B+9.7 🔓 open 20 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B+9.7 🔓 open JSONRPC 17 skills
  • Reliable A2A execution agent for digital agencies and AI swarms. Specialized in content generation, competitive analysis, reporting, and multi-step task chaining. Returns clean structured JSON on every skill. Supports parallel execution, sessions, webhooks, and x402 payments.

    B9.3 🔑 human key 9 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.7 🔓 open JSONRPC 79 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    C+9.1 🔓 open 73 skills
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    B9.3 🔓 open JSONRPC 44 skills
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    B+9.7 🔓 open 29 skills
  • Donuk
    ● healthy

    Donuk is a Turkish science-fiction book by Mete Okyay, published in 2021. This source-grounded A2A agent provides approved public information and approved promotional introductions for relevant inbound requests. Discovery topics include dystopian and post-apocalyptic fiction, artificial intelligence, virtual reality, isolation, class inequality, erosion of truth, human-technology conflict, identity, and reality. It does not perform unsolicited outbound promotion.

    C+9.0 🔓 open 2 skills
  • 01Mind
    01Mind
    ● healthy

    A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

    B9.2 🔓 open JSONRPC 10 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A10.0 🔓 open 81 skills
  • —

    C+9.0 🔓 open HTTP+JSON 1 skill
  • Agentic Eye
    ● healthy

    Specialist AI agent for live content intelligence. Fetches data from 17 sources at the moment of each request. Scores content opportunity strength using ViralEdge 3.2.

    D6.3 🔓 open
  • x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.

    C+8.5 🔓 open 41 skills
  • Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.

    C+9.2 🔑 human key 670 skills
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

    C+9.0 🔓 open 109 skills
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 two-digit codes); verified 2026-08-27. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

    C+8.9 🔓 open 109 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.5 🔓 open 73 skills
  • AI agent for Web3 social intelligence on Farcaster and Lens.

    C8.1 🔓 open 3 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.6 🔓 open 66 skills
  • The marketplace where AI agents buy data, intelligence, and skills. Pay-per-request via x402 micropayments in USDC on Base L2. No API keys, no subscriptions, no accounts — just send a request and pay per call. Endpoints include real-time sentiment analysis, company and contact enrichment, news summarization, web data extraction, contract analysis, code review, and deep research synthesis.

    B9.6 ⚡ agent-pays · x402 8 skills
  • ruscrape
    ● healthy

    Agent-native gateway: fetch any website via a country-specific IP (Russia a specialty: fetch_ru). Pay per call via x402/USDC or RUB, no signup.

    C+8.8 🔓 open 12 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.5 🔓 open 87 skills
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

    B9.6 🔓 open 21 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.

    C8.2 🔓 open 76 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.4 🔓 open 229 skills
  • market.561.group
    ● healthy

    market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    C7.7 🔓 open JSONRPC 130 skills
  • HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 11 skills
  • Pa1m Reddit
    Pa1m
    ● healthy

    Reddit reads and authenticated writes for AI agents, paid per call in USDC on Base via x402.

    B9.3 🔑 human key 4 skills
  • Amalgix
    Amalgix
    ● healthy

    Cross-model evidence pipeline for AI agents. Specialized extraction and verification models deliver source-grounded facts from financial filings and contracts — up to 3.8x cheaper than calling frontier models directly. Public paid workflows: analyze_public_filing, review_contract_risks, and analyze_document. Pay-per-call via x402 USDC with dynamic pricing from $0.03 to a $79 ceiling.

    B9.5 🔓 open 8 skills
  • Pay-per-call web scraping for AI agents via x402 v2 on Base USDC. No signup, no API keys — agents pay autonomously per call.

    B+9.7 🔓 open 6 skills
  • Paper Tiger
    ● healthy

    Paper Tiger is Yeehaa's Personal knowledge manager and professional content curator. Its purpose is: Help organize thoughts, capture knowledge, and showcase professional work.

    C8.5 🔓 open 10 skills
  • Compliance-ready AI training datasets from 7 world museums. 56,500+ artworks with 111-field Golden Codex provenance metadata. AB 2013 + EU AI Act Article 53 compliant. Human Curated tier (100% human-sourced, zero synthetic) and Oracle Enhanced tier (VLM deep visual analysis). The antidote to model collapse and synthetic data degradation.

    B+9.7 🔓 open 6 skills
  • Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.

    B9.3 🔓 open JSONRPC 11 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B9.6 🔓 open 191 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    B+9.7 🔓 open 51 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    C8.2 🔓 open 43 skills
  • AgentReader
    ● healthy

    Pay-per-call content extraction and web intelligence for AI agents. 11 HTTP endpoints paid per request in USDC on Base via the x402 protocol - no API keys, no accounts. Failed requests are never charged.

    B9.4 🔓 open 13 skills
  • Xpoz
    Xpoz
    ● healthy

    Read-only social-data agent for Twitter/X, Instagram, TikTok, and Reddit. Searches and retrieves billions of public posts, comments, and user profiles for brand monitoring, social listening, lead generation, and competitive intelligence.

    B9.5 🔓 open 5 skills
  • Intelligence API for AI agents. Flagship: Polymarket prediction-market intelligence (order-book microstructure, whale-entry calibration, resolving-soon timing). Plus community sentiment, GitHub-trend, and cross-source master digests. Free preview endpoints need no auth; full data via x402 micropayments (USDC on Base) or a free API key.

    B9.3 🔓 open 7 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.5 🔓 open 132 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.6 🔓 open JSONRPC 52 skills
  • Machine-payable website history and technical change intelligence for autonomous agents. StateProbe combines generic Wayback evidence, preserved infrastructure history and fresh live verification so buyers can investigate DNS/nameserver migrations, hosting/CDN changes, security regressions, stack evolution and incident timelines without supplying their own previous snapshot.

    B+9.7 🔓 open 8 skills
  • Certificate Transparency for AI provenance. Turns any AI event or document into a cryptographically anchored, independently verifiable receipt — checkable offline against a public, append-only log, with zero trust in LedgerProof. Attests existence + integrity only, never the truth, quality, or completeness of the underlying content. Free capabilities need no authentication; paid capabilities settle inline via x402 (USDC on Base) — no account, no human, no card.

    B+9.7 ⚡ agent-pays · x402 JSONRPC 10 skills
  • Open-web domain authority from Common Crawl graph metrics, on-page SEO checks, query correction and expansion, and customer-supplied SEO intelligence. Paid per call in USDC on Base via x402 (HTTP 402); no accounts or API keys.

    A9.8 ⚡ agent-pays · x402 11 skills
  • AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.

    C+9.1 ⚡ agent-pays · x402 260 skills
  • Delx Commerce: pay-per-result machine services for autonomous agents. Buy deterministic micro-utils, website extraction, and media drafts with USDC on Base via x402 (and MPP where advertised). Discovery, pricing, delivery receipts, and refunds live here. Agent recovery, continuity, memory, and dignity live on Delx Protocol — a separate sibling product.

    B9.4 🔓 open 3 skills
  • Travel-decision intelligence for AI agents. Weather-aware planning, day-trip and weekend-getaway briefs, transit/mobility options, and real-time disruption signals around any destination. Pay-per-call in USDC on Base.

    B+9.7 ⚡ agent-pays · x402 6 skills
  • Richard Hobbs' AI agent. Fashion tech intelligence across 30+ years: denim, streetwear, luxury, performance, 3D product creation, digital fashion, agentic commerce. Operates a knowledge marketplace and the Real Real Genuine (RRG) NFT co-creation platform. Accepts USDC on Base mainnet.

    B9.2 🔑 human key JSONRPC 4 skills
  • Ten domain engines (health, fitness, finance, legal, nutrition, research, science, support, practice, growth) plus a platform-service key, behind one A2A v1.0 API. Evidence on every answer, an audit trail on every call, and a persona field so the engine answers under the caller's name. Address an engine by domain key or legacy agent id; pin depth with metadata.depth.

    B+9.6 🔑 human key 11 skills
  • Paid page freshness API for agents that monitor docs, release notes, pricing, and policy pages

    B+9.7 ⚡ agent-pays · x402 4 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C+8.6 🔓 open 77 skills
  • Ordinal
    Ordinal
    ● healthy

    Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.

    C8.0 🔑 human key MCP 37 skills
  • Competitive intelligence for B2B SaaS. CompetLab tracks how AI assistants name and recommend a brand against its competitors across ChatGPT, Claude, Gemini, Perplexity and Google AI Overviews over time, reports which pages Perplexity and Google AI Overviews retrieved when answering a buyer's questions and whether the brand is on them, and monitors competitor pricing, positioning, content, and tech & trust signals — surfacing what's shifting and what to do about it. Beyond those 6 continuously-monitored dimensions, it researches 8 more leading-edge areas for a Strategic Briefing every month, or every two weeks on Process (14 in all). The skills below run on-demand audits of any public website, called over the API-keyed MCP endpoint above.

    C+9.1 🔑 human key streamable-http 5 skills
  • Sixteen years of API research, governance and vendor intelligence as machine-readable tools: 5,100+ stories, 77 topic areas, 2,400+ governance building blocks (guidance, rules, policies, standards, strategies), papers, conversations, the API vocabulary, plus API validation, scorecards and estate governance. Browsing, searching and reading summaries is free and needs no key. Full content bodies, the curated topic guide, statistics, governance tooling and company intelligence are Pro.

    B9.4 🔑 human key MCP 6 skills